"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The BodyLoginForAccessTokenTokenPost model module.
 * @module model/BodyLoginForAccessTokenTokenPost
 * @version 0.1.0
 */
var BodyLoginForAccessTokenTokenPost = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>BodyLoginForAccessTokenTokenPost</code>.
   * @alias module:model/BodyLoginForAccessTokenTokenPost
   * @param username {String} 
   * @param password {String} 
   */
  function BodyLoginForAccessTokenTokenPost(username, password) {
    _classCallCheck(this, BodyLoginForAccessTokenTokenPost);

    BodyLoginForAccessTokenTokenPost.initialize(this, username, password);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(BodyLoginForAccessTokenTokenPost, null, [{
    key: "initialize",
    value: function initialize(obj, username, password) {
      obj['username'] = username;
      obj['password'] = password;
    }
    /**
     * Constructs a <code>BodyLoginForAccessTokenTokenPost</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/BodyLoginForAccessTokenTokenPost} obj Optional instance to populate.
     * @return {module:model/BodyLoginForAccessTokenTokenPost} The populated <code>BodyLoginForAccessTokenTokenPost</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new BodyLoginForAccessTokenTokenPost();

        if (data.hasOwnProperty('grant_type')) {
          obj['grant_type'] = _ApiClient["default"].convertToType(data['grant_type'], 'String');
        }

        if (data.hasOwnProperty('username')) {
          obj['username'] = _ApiClient["default"].convertToType(data['username'], 'String');
        }

        if (data.hasOwnProperty('password')) {
          obj['password'] = _ApiClient["default"].convertToType(data['password'], 'String');
        }

        if (data.hasOwnProperty('scope')) {
          obj['scope'] = _ApiClient["default"].convertToType(data['scope'], 'String');
        }

        if (data.hasOwnProperty('client_id')) {
          obj['client_id'] = _ApiClient["default"].convertToType(data['client_id'], 'String');
        }

        if (data.hasOwnProperty('client_secret')) {
          obj['client_secret'] = _ApiClient["default"].convertToType(data['client_secret'], 'String');
        }
      }

      return obj;
    }
  }]);

  return BodyLoginForAccessTokenTokenPost;
}();
/**
 * @member {String} grant_type
 */


BodyLoginForAccessTokenTokenPost.prototype['grant_type'] = undefined;
/**
 * @member {String} username
 */

BodyLoginForAccessTokenTokenPost.prototype['username'] = undefined;
/**
 * @member {String} password
 */

BodyLoginForAccessTokenTokenPost.prototype['password'] = undefined;
/**
 * @member {String} scope
 * @default ''
 */

BodyLoginForAccessTokenTokenPost.prototype['scope'] = '';
/**
 * @member {String} client_id
 */

BodyLoginForAccessTokenTokenPost.prototype['client_id'] = undefined;
/**
 * @member {String} client_secret
 */

BodyLoginForAccessTokenTokenPost.prototype['client_secret'] = undefined;
var _default = BodyLoginForAccessTokenTokenPost;
exports["default"] = _default;